### Constructor

# GimpUi DrawableComboBox new

since: 2.2

#### Declaration [src]

    GtkWidget*
    gimp_drawable_combo_box_new (
      GimpItemConstraintFunc constraint,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GimpIntComboBox` filled with all currently opened drawables. If a `constraint` function is specified, it is called for each drawable and only if the function returns `TRUE`, the drawable is added to the combobox.

You should use `gimp_int_combo_box_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to get the active drawable ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected drawable.

Available since: 2.2

#### Parameters

`constraint`

  Type: `GimpItemConstraintFunc`

  A `GimpItemConstraintFunc` or `NULL`.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  A pointer that is passed to `constraint`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `data`.

#### Return value

Type: `GtkWidget`

A new `GimpIntComboBox`.

The data is owned by the called function.